> For the complete documentation index, see [llms.txt](https://developers.wiki.resourcefulbees.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.wiki.resourcefulbees.com/readme/trait-data/damage-type.md).

# Damage Type

## Customization Options

***

### <mark style="color:orange;">`damageType`</mark>

Currently, there are only two acceptable choices:

{% tabs %}
{% tab title="explosive" %}
When the bee attacks, the targeted entity explodes.
{% endtab %}

{% tab title="setOnFire" %}
When the bee attacks, the target entity is set on fire.
{% endtab %}
{% endtabs %}

***

{% hint style="info" %}
**Name:** Damage Type

**Key:** <mark style="color:orange;">`damageType`</mark>

**Type:** String

**Default:** Empty String
{% endhint %}

<details>

<summary>Example</summary>

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "damageTypes": [
    {
      "damageType": "explosive",
      "amplifier": 3
    },
    {
      "damageType": "setOnFire",
      "amplifier": 4
    }
  ]
}
</code></pre>

</details>

### <mark style="color:orange;">`amplifier`</mark>

The strength of the damage effect.

***

{% hint style="info" %}
**Name:** Amplifier

**Key:** <mark style="color:orange;">`amplifier`</mark>

**Type:** Integer

**Range:** ≥0

**Default:** 0
{% endhint %}

<details>

<summary>Example</summary>

```json
{
  "damageTypes": [
    {
      "damageType": "explosive",
      "amplifier": 3
    }
  ]
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.wiki.resourcefulbees.com/readme/trait-data/damage-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
